package ${basePackage}.module.system.mpr;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import ${basePackage}.frame.auth.Token;
import ${basePackage}.module.system.ent.Visitor;

import java.util.List;

/**
 * VISITOR - 应用接入
 *
 * @author wangbing
 * @date 2020-06-25
 */
@Mapper
public interface VisitorMapper {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return 返回数量
     */
    long insert(@Param("request") Visitor request, @Param("token") Token token);

    /**
    * 批量插入
    *
    * @param request 请求对象
    * @param token   令牌
    * @return 返回数量
    */
    long insertBatch(@Param("list") List<Visitor> request, @Param("token") Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return 返回数量
     */
    long delete(@Param("request") ${basePackage}.module.system.req.VisitorDeleteRequest request, @Param("token") Token token);

    /**
     * 更新
     *
     * @param request 请求对象
     * @param token   令牌
     * @return 返回数量
     */
    long update(@Param("request") ${basePackage}.module.system.req.VisitorUpdateRequest request, @Param("token") Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return 返回对象
     */
    List<Visitor> find(@Param("request") ${basePackage}.module.system.req.VisitorFindRequest request, @Param("token") Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return 返回对象
     */
    Visitor get(@Param("request") ${basePackage}.module.system.req.VisitorGetRequest request, @Param("token") Token token);
}
