package xyz.wbsite.module.system.req;

import org.hibernate.validator.constraints.Length;
import xyz.wbsite.frame.base.BaseRequest;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * SequenceCreateRequest - 序列新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public class SequenceCreateRequest extends BaseRequest {

    /**
     * 序列名称.
     */
    @NotBlank(message = "[seqName]序列名称不能为空")
    @Length(min = 0, max = 50, message = "[seqName]序列名称长度不合法(0-50)")
    private String seqName;

    /**
     * 序列备注.
     */
    @Length(min = 0, max = 50, message = "[seqNote]序列备注长度不合法(0-50)")
    private String seqNote;

    /**
     * 年.
     */
    @Length(min = 0, max = 4, message = "[year]年长度不合法(0-4)")
    private String year;

    /**
     * 月.
     */
    @Length(min = 0, max = 2, message = "[month]月长度不合法(0-2)")
    private String month;

    /**
     * 日.
     */
    @Length(min = 0, max = 2, message = "[date]日长度不合法(0-2)")
    private String date;

    /**
     * 下一个值.
     */
    @NotNull(message = "[nextValue]下一个值不能为NULL")
    private Integer nextValue;

    public String getSeqName() {
        return this.seqName;
    }

    public void setSeqName(String seqName) {
        this.seqName = seqName;
    }

    public String getSeqNote() {
        return this.seqNote;
    }

    public void setSeqNote(String seqNote) {
        this.seqNote = seqNote;
    }

    public String getYear() {
        return this.year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return this.month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getDate() {
        return this.date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Integer getNextValue() {
        return this.nextValue;
    }

    public void setNextValue(Integer nextValue) {
        this.nextValue = nextValue;
    }
}
